Package io.dapr.v1

# Enum DaprProtos.ActorRuntime.ActorRuntimeStatus

java.lang.Object
java.lang.Enum<DaprProtos.ActorRuntime.ActorRuntimeStatus>
io.dapr.v1.DaprProtos.ActorRuntime.ActorRuntimeStatus

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<DaprProtos.ActorRuntime.ActorRuntimeStatus>`

Enclosing class:
  DaprProtos.ActorRuntime

public static enum DaprProtos.ActorRuntime.ActorRuntimeStatus extends Enum<DaprProtos.ActorRuntime.ActorRuntimeStatus> implements com.google.protobuf.ProtocolMessageEnum
Protobuf enum `dapr.proto.runtime.v1.ActorRuntime.ActorRuntimeStatus`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISABLED`
Indicates that the actor runtime is disabled.
`INITIALIZING`
Indicates that the actor runtime is still being initialized.
`RUNNING`
Indicates the actor runtime is running, either as an actor host or client.
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DISABLED_VALUE`
Indicates that the actor runtime is disabled.
`static final int`
`INITIALIZING_VALUE`
Indicates that the actor runtime is still being initialized.
`static final int`
`RUNNING_VALUE`
Indicates the actor runtime is running, either as an actor host or client.

## Method Summary

Modifier and Type
Method
Description
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.ActorRuntime.ActorRuntimeStatus>`
`internalGetValueMap()`
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
`valueOf(int value)`
Deprecated.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INITIALIZING

public static final DaprProtos.ActorRuntime.ActorRuntimeStatus INITIALIZING

     Indicates that the actor runtime is still being initialized.

`INITIALIZING = 0;`

### DISABLED

public static final DaprProtos.ActorRuntime.ActorRuntimeStatus DISABLED

     Indicates that the actor runtime is disabled.
     This normally happens when Dapr is started without "placement-host-address"

`DISABLED = 1;`

### RUNNING

public static final DaprProtos.ActorRuntime.ActorRuntimeStatus RUNNING

     Indicates the actor runtime is running, either as an actor host or client.

`RUNNING = 2;`

### UNRECOGNIZED

public static final DaprProtos.ActorRuntime.ActorRuntimeStatus UNRECOGNIZED

## Field Details

### INITIALIZING_VALUE

public static final int INITIALIZING_VALUE

     Indicates that the actor runtime is still being initialized.

`INITIALIZING = 0;`

See Also:
  - Constant Field Values

### DISABLED_VALUE

public static final int DISABLED_VALUE

     Indicates that the actor runtime is disabled.
     This normally happens when Dapr is started without "placement-host-address"

`DISABLED = 1;`

See Also:
  - Constant Field Values

### RUNNING_VALUE

public static final int RUNNING_VALUE

     Indicates the actor runtime is running, either as an actor host or client.

`RUNNING = 2;`

See Also:
  - Constant Field Values

## Method Details

### values

public static DaprProtos.ActorRuntime.ActorRuntimeStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DaprProtos.ActorRuntime.ActorRuntimeStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static DaprProtos.ActorRuntime.ActorRuntimeStatus valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static DaprProtos.ActorRuntime.ActorRuntimeStatus forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.ActorRuntime.ActorRuntimeStatus> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static DaprProtos.ActorRuntime.ActorRuntimeStatus valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null